#pragma once

#include "RegDumpDocPaneDlgViewHelper.h"

class CAZBKDumpView : public CRegDumpDocPaneDlgViewHelper
{
		DECLARE_DYNAMIC(CAZBKDumpView)

		CMultiEditListCtrl  m_listDMA;
		CMultiEditListCtrl  m_listCOVOX;
		CMultiEditListCtrl  m_listAZBK;
		CMultiEditListCtrl  m_listScr;
		CMultiEditListCtrl  m_listPalette;

		CMultiEditListCtrl  m_listMapper;
		CMultiEditListCtrl  m_listMapCtrl;
		CMultiEditListCtrl  m_listUART;
		CMultiEditListCtrl  m_listAY;
		CMultiEditListCtrl  m_listBlitter;

	protected:

	public:
		enum { IDD = IDD_AZBK_REG_DUMP };
		CAZBKDumpView();
		virtual ~CAZBKDumpView() override;

		void                DisplayRegDump();
		void                DisplayRegs();

	protected:
		virtual void        DoDataExchange(CDataExchange *pDX) override;    // поддержка DDX/DDV
		afx_msg LRESULT     HandleInitDialog(WPARAM wp, LPARAM lp);
		afx_msg void OnLvnItemchangedListAzbkMapperreg(NMHDR *pNMHDR, LRESULT *pResult);
		afx_msg void OnLvnItemchangedListAzbkMapctrlreg(NMHDR *pNMHDR, LRESULT *pResult);
		afx_msg void OnLvnItemchangedListAzbkDmareg(NMHDR *pNMHDR, LRESULT *pResult);
		afx_msg void OnLvnItemchangedListAzbkCovox(NMHDR *pNMHDR, LRESULT *pResult);
		afx_msg void OnLvnItemchangedListAzbkMain(NMHDR *pNMHDR, LRESULT *pResult);
		afx_msg void OnLvnItemchangedListAzbkUartreg(NMHDR *pNMHDR, LRESULT *pResult);
		afx_msg void OnLvnItemchangedListAzbkScrreg(NMHDR *pNMHDR, LRESULT *pResult);
		afx_msg void OnLvnItemchangedListAzbkPalreg(NMHDR *pNMHDR, LRESULT *pResult);
		afx_msg void OnLvnItemchangedListAzbkAyreg(NMHDR *pNMHDR, LRESULT *pResult);
		DECLARE_MESSAGE_MAP()
};

